@use '/src/mainColor' as *;

.light-mode {
  .modal {
    --back: linear-gradient(#{mainColor(95%)}, #{mainColor(97%)});
    --shadow: 0 0 1em #bbb;
    --border: 1px solid #{mainColor(80%)};
  }
}
.dark-mode {
  .modal {
    --back: #{mainColor(15%)};
    --shadow: 0 0 1em #{mainColor(10%, .5)};
    --border: 1px solid #{mainColor(10%)};
  }
}

.modal-con {
  overflow: hidden;
  height: 0;
}

.modal {
  position: fixed;
  top: 0;
  right: 0;
  width: 100vw;
  height: 100vh;
  background-color: rgba(0, 0, 0, 0.2);
  display: flex;
  justify-content: center;
  overflow: auto;

  .modal-window-con {
    max-width: 100%;
    height: fit-content;
    margin: auto;
  }

  .modal-window {
    outline: none;
    max-width: 95%;
    padding: 1em 2em;
    margin: 1em;
    border-radius: 1em;
    background: var(--back);
    box-shadow: var(--shadow);
    border: var(--border);
    display: flex;
    flex-direction: column;
    align-items: center;
    
    * {
      max-width: 100%;
    }
  }
}
